Attribute VB_Name = "MdlGlobal"
Public DocuNumber As Integer
Public DocuNew() As frmSheet

Public FOpen As Scripting.FileSystemObject
Public FRead As Scripting.TextStream
Public FWrite As Scripting.TextStream

Public FlagOrient As Boolean
Public PaperSiz As Byte

Public DocuZoomVal As Double
Public PageMarginleft As Integer
Public PageMarginTop As Integer
Public PageMarginRight As Integer
Public PageMarginBottom As Integer

Public HeaderMargin As Integer
Public FooterMargin As Integer

'Dialog box Variables
    Public InsertCell_ As Byte

Sub Main()
    
    Set FOpen = New Scripting.FileSystemObject
    
    DocuZoomVal = 1
    
    FlagOrient = True 'Portrait
    'FlagOrient = false 'Landscape
    
    PaperSiz = 1
    
    HeaderMargin = 720
    FooterMargin = 720
    PageMarginleft = (1440 * 1) * DocuZoomVal
    PageMarginTop = (1440 * 1) * DocuZoomVal
    PageMarginRight = (1440 * 1) * DocuZoomVal
    PageMarginBottom = (1440 * 1) * DocuZoomVal
    
    MDIFrm.Show
    DocuNumber = 0
    
    NewDocument
    
    MDIFrm.comFont.Text = MDIFrm.ActiveForm.Grid_.CellFontName
    MDIFrm.comSize.Text = CInt(MDIFrm.ActiveForm.Grid_.CellFontSize)
End Sub
Public Function NewDocument()
    EnableControlforNewDocu
    DocuNumber = DocuNumber + 1
    ReDim Preserve DocuNew(DocuNumber)
    Set DocuNew(DocuNumber) = New frmSheet
    DocuNew(DocuNumber).Caption = "Sheet" & DocuNumber
    DocuNew(DocuNumber).Show
End Function
Public Function MakeStatusBarFormated(Bar As StatusBar)
    Bar.Panels.Clear
    Set my_panel = Bar.Panels.Add(1)
    Bar.Panels(1).AutoSize = 2
    Bar.Panels(1).Bevel = sbrInset
    Bar.Panels(1).Style = sbrCaps
    Bar.Panels(1).Width = 600
    
    Set my_panel = Bar.Panels.Add(2)
    Bar.Panels(2).AutoSize = 2
    Bar.Panels(2).Bevel = sbrInset
    Bar.Panels(2).Style = sbrNum
    Bar.Panels(2).Width = 600
    
    Set my_panel = Bar.Panels.Add(3)
    Bar.Panels(3).AutoSize = 2
    Bar.Panels(3).Bevel = sbrInset
    Bar.Panels(3).Style = sbrIns
    Bar.Panels(3).Width = 600
    
    Set my_panel = Bar.Panels.Add(4)
    Bar.Panels(4).AutoSize = sbrSpring
    Bar.Panels(4).Bevel = sbrInset
    Bar.Panels(4).Style = sbrText
End Function
Public Sub EnableControlforNewDocu()
    With MDIFrm
        .mnuClose.Enabled = True
        .mnuSave.Enabled = True
        .mnuSaveAs.Enabled = True
        .mnuPageSetup.Enabled = True
        .mnuPreview.Enabled = True
        .mnuPrint.Enabled = True

        .mnuUndo.Enabled = True
        .mnuRedo.Enabled = True
        .mnuCut.Enabled = True
        .mnuCopy.Enabled = True
        .mnuPaste.Enabled = True

        .mnuFind.Enabled = True
        .mnuReplace.Enabled = True
        
        .mnuCell.Enabled = True
        .mnuRows.Enabled = True
        .mnuColumns.Enabled = True

        .mnuFont.Enabled = True
        .mnuAlign(1).Enabled = True
        .mnuAlign(4).Enabled = True
        .mnuAlign(7).Enabled = True

        .mnuNewwindow.Enabled = True
        .mnuHorizon.Enabled = True
        .mnuVertical.Enabled = True

        .FileTools.Buttons(3).Enabled = True
        .FileTools.Buttons(4).Enabled = True
        .FileTools.Buttons(5).Enabled = True

        .EditTools.Buttons(1).Enabled = True
        .EditTools.Buttons(2).Enabled = True
        .EditTools.Buttons(3).Enabled = True
        .EditTools.Buttons(4).Enabled = True
        .EditTools.Buttons(5).Enabled = True

        .comFont.Enabled = True
        .comSize.Enabled = True
        .FormatTools.Buttons(1).Enabled = True
        .FormatTools.Buttons(2).Enabled = True
        .FormatTools.Buttons(3).Enabled = True
        .FormatTools.Buttons(4).Enabled = True
        .FormatTools.Buttons(5).Enabled = True
        .FormatTools.Buttons(6).Enabled = True
        
        .TxtCellData.Enabled = True
        .ComCellName.Enabled = True
    End With
End Sub


Public Sub DisableControlNoDocu()
    With MDIFrm
        .mnuClose.Enabled = False
        .mnuSave.Enabled = False
        .mnuSaveAs.Enabled = False
        .mnuPageSetup.Enabled = False
        .mnuPreview.Enabled = False
        .mnuPrint.Enabled = False
        
        .mnuUndo.Enabled = False
        .mnuRedo.Enabled = False
        .mnuCut.Enabled = False
        .mnuCopy.Enabled = False
        .mnuPaste.Enabled = False
        .mnuFind.Enabled = False
        .mnuReplace.Enabled = False
        
        
        
        .mnuCell.Enabled = False
        .mnuRows.Enabled = False
        .mnuColumns.Enabled = False
        
        .mnuFont.Enabled = False
        .mnuAlign(1).Enabled = False
        .mnuAlign(4).Enabled = False
        .mnuAlign(7).Enabled = False
        
        .mnuNewwindow.Enabled = False
        .mnuHorizon.Enabled = False
        .mnuVertical.Enabled = False
        
        
        .FileTools.Buttons(3).Enabled = False
        .FileTools.Buttons(4).Enabled = False
        .FileTools.Buttons(5).Enabled = False
        
        .EditTools.Buttons(1).Enabled = False
        .EditTools.Buttons(2).Enabled = False
        .EditTools.Buttons(3).Enabled = False
        .EditTools.Buttons(4).Enabled = False
        .EditTools.Buttons(5).Enabled = False
        
        .comFont.Enabled = False
        .comSize.Enabled = False
        .FormatTools.Buttons(1).Enabled = False
        .FormatTools.Buttons(2).Enabled = False
        .FormatTools.Buttons(3).Enabled = False
        .FormatTools.Buttons(4).Enabled = False
        .FormatTools.Buttons(5).Enabled = False
        .FormatTools.Buttons(6).Enabled = False3
        
        .TxtCellData.Enabled = False
        .ComCellName.Enabled = False
    End With
End Sub
