Attribute VB_Name = "MdlMDIMenus"
Public Function OpenDocument(Dlg_ As CommonDialog)
    On Error GoTo Cancelled_
    
Dim FileName_ As String
Dim FileData_ As Variant
Dim IncrementVal As Double
    With Dlg_
        .CancelError = True
        .Flags = &H1000&
        .DialogTitle = "My Excel " & App.Major & "." & App.Minor & " Open Files "
        .Filter = "My Excel Files (*.mxl)|*.mxl"
        .ShowOpen
        
        Screen.MousePointer = 11
        
        NewDocument
        
        MDIFrm.ActiveForm.Caption = .FileName
        Set FWrite = FOpen.OpenTextFile(.FileName, ForReading)
        FWrite.ReadAll
        IncrementVal = 100 / FWrite.Line
        FWrite.Close
        Set FWrite = Nothing
        Set FWrite = FOpen.OpenTextFile(.FileName, ForReading)
        ReadfromFile MDIFrm.ActiveForm, IncrementVal
        MDIFrm.ActiveForm.Grid_.Col = 1
        MDIFrm.ActiveForm.Grid_.Row = 1
        Screen.MousePointer = 0
    End With
    
    Exit Function
Cancelled_:
    'MsgBox Err.Description
    Screen.MousePointer = 0
End Function

Public Function SaveDocument(Dlg_ As CommonDialog, Obj As Form)
    On Error GoTo Cancelled_

Dim FileName_ As String

If Not UCase(Left(Obj.Caption, 5)) = UCase("Sheet") Then
    MDIFrm.stBar.Panels(4).Text = "Saving document"
    FileName_ = Obj.Caption
    Set FWrite = FOpen.CreateTextFile(FileName_, ForWriting)
    WriteIntheFile Obj
    FWrite.Close
    Set FWrite = Nothing
    MDIFrm.stBar.Panels(4).Text = "Ready"
    Exit Function
End If
    With Dlg_
        .CancelError = True
        .DialogTitle = "My Excel " & App.Major & "." & App.Minor & " Save Files "
        .Filter = "My Excel Files (*.mxl)|*.mxl"
        .FileName = Obj.Caption
        .ShowSave
        Screen.MousePointer = 11
        FileName_ = .FileName
        MDIFrm.stBar.Panels(4).Text = "Saving document"
        If UCase(Right(FileName_, 4)) = UCase(".mxl") Then
            Set FWrite = FOpen.CreateTextFile(FileName_, ForWriting)
            WriteIntheFile Obj
            FWrite.Close
            Set FWrite = Nothing
        Else
            Set FWrite = FOpen.CreateTextFile(FileName_ & ".mxl", ForWriting)
            WriteIntheFile Obj
            FWrite.Close
            Set FWrite = Nothing
        End If
        Obj.Caption = .FileName
        MDIFrm.stBar.Panels(4).Text = "Ready"
        Screen.MousePointer = 0
    End With
    Exit Function
Cancelled_:
   'MsgBox Err.Description
    Screen.MousePointer = 0
End Function

Public Function SaveAsDocument(Dlg_ As CommonDialog, Obj As Form)
    On Error GoTo Cancelled_

Dim FileName_ As String

    With Dlg_
        .CancelError = True
        .DialogTitle = "My Excel " & App.Major & "." & App.Minor & " Save Files "
        .Filter = "My Excel Files (*.mxl)|*.mxl"
        .FileName = Obj.Caption
        .ShowSave
        Screen.MousePointer = 11
        FileName_ = .FileName
        MDIFrm.stBar.Panels(4).Text = "Saving document"
        If UCase(Right(FileName_, 4)) = UCase(".mxl") Then
            Set FWrite = FOpen.CreateTextFile(FileName_, ForWriting)
            WriteIntheFile Obj
            FWrite.Close
            Set FWrite = Nothing
        Else
            Set FWrite = FOpen.CreateTextFile(FileName_ & ".mxl", ForWriting)
            WriteIntheFile Obj
            FWrite.Close
            Set FWrite = Nothing
        End If
        Obj.Caption = .FileName
        MDIFrm.stBar.Panels(4).Text = "Ready"
        Screen.MousePointer = 0
    End With
    Exit Function
Cancelled_:
   'MsgBox Err.Description
    Screen.MousePointer = 0
End Function


Private Function WriteIntheFile(Obj As Form)
Dim str_ As String

    With Obj.Grid_
        MDIFrm.PBar.Visible = True
        MDIFrm.PBar.Value = 0
        IncrementVal = 100 / .Rows
        
        For i = 1 To .Rows - 1
            .Row = i
            str_ = ""
            For k = 1 To .Cols - 1
                .Col = k
                If Not .Text = "" Then
                    str_ = "'" & k & "'"
                    str_ = str_ & "'" & i & "'"
                    str_ = str_ & "'" & .Text & "'"
                    str_ = str_ & "'" & .CellFontName & "'"
                    str_ = str_ & "'" & .CellFontSize & "'"
                    str_ = str_ & "'" & .CellFontBold & "'"
                    str_ = str_ & "'" & .CellFontItalic & "'"
                    str_ = str_ & "'" & .CellFontUnderline & "'"
                    str_ = str_ & "'" & .CellAlignment & "'"
                    str_ = str_ & "'" & .CellForeColor & "'"
                    str_ = str_ & "'" & .CellWidth & "'"
                    str_ = str_ & "'" & .CellHeight & "'"
                    FWrite.WriteLine str_
                End If
            Next k
            MDIFrm.PBar.Value = MDIFrm.PBar.Value + IncrementVal
        Next i
        .Col = 1
        .Row = 1
    End With
    
    MDIFrm.PBar.Visible = False
End Function
Private Function ReadfromFile(Obj As Form, IncrementVal As Double)
Dim str_ As String
Dim tempstr_ As String
    With Obj.Grid_
        MDIFrm.PBar.Visible = True
        MDIFrm.PBar.Value = 0
        
        While Not FWrite.AtEndOfStream
            str_ = FWrite.ReadLine
            .Col = CInt(GetVal_(str_, 1))
            .Row = CInt(GetVal_(str_, 2))
            .Text = CStr(GetVal_(str_, 3))
            .CellFontName = CStr(GetVal_(str_, 4))
            .CellFontSize = CInt(GetVal_(str_, 5))
            .CellFontBold = GetVal_(str_, 6)
            .CellFontItalic = GetVal_(str_, 7)
            .CellFontUnderline = GetVal_(str_, 8)
            tempstr_ = GetVal_(str_, 9)
            .CellAlignment = IIf(tempstr_ = 0, 1, tempstr_)
            .CellForeColor = GetVal_(str_, 10)
            .ColWidth(.Col) = GetVal_(str_, 11)
            .RowHeight(.Row) = GetVal_(str_, 12)
            MDIFrm.PBar.Value = MDIFrm.PBar.Value + IncrementVal
        Wend
        .Col = 1
        .Row = 1
    End With
    MDIFrm.PBar.Visible = False
End Function
Private Function GetVal_(str_ As String, Pos_ As Integer) As Variant
    Dim FlagVal As Byte
    Dim TempVal_ As String
    FlagVal = False
    TempVal_ = ""
    For i = 1 To Len(str_)
        If Mid(str_, i, 1) = "'" Then
            If FlagVal < (Pos_ + (Pos_ - 1)) Then
                FlagVal = FlagVal + 1
            Else
                GetVal_ = TempVal_
                Exit Function
            End If
        Else
            If FlagVal > ((Pos_ - 1) * 2) Then
                TempVal_ = TempVal_ & Mid(str_, i, 1)
            End If
        End If
    Next i
End Function

Public Function ShowFormatWindow(Dlg_ As CommonDialog)
    On Error GoTo Cancelled_

    With Dlg_
        .CancelError = True
        
        .Flags = &H101&
        
        .FontName = MDIFrm.ActiveForm.Grid_.CellFontName
        .FontBold = MDIFrm.ActiveForm.Grid_.CellFontBold
        .FontSize = MDIFrm.ActiveForm.Grid_.CellFontSize
        .FontItalic = MDIFrm.ActiveForm.Grid_.CellFontItalic
        .FontUnderline = MDIFrm.ActiveForm.Grid_.CellFontUnderline
        .FontStrikethru = MDIFrm.ActiveForm.Grid_.CellFontStrikeThrough
        .Color = MDIFrm.ActiveForm.Grid_.CellForeColor
        .ShowFont
        
        Screen.MousePointer = 11
        
        MDIFrm.ActiveForm.Grid_.CellFontName = .FontName
        MDIFrm.ActiveForm.Grid_.CellFontBold = .FontBold
        MDIFrm.ActiveForm.Grid_.CellFontSize = .FontSize
        MDIFrm.ActiveForm.Grid_.CellFontItalic = .FontItalic
        MDIFrm.ActiveForm.Grid_.CellFontUnderline = .FontUnderline
        MDIFrm.ActiveForm.Grid_.CellFontStrikeThrough = .FontStrikethru
        MDIFrm.ActiveForm.Grid_.CellForeColor = .Color
        
        Screen.MousePointer = 0
    End With
    
    Exit Function
Cancelled_:
    'MsgBox Err.Description
    Screen.MousePointer = 0
End Function

